Я никогда раньше не использовал эту библиотеку. Сейчас я пытаюсь использовать ее и добавляю необходимые зависимости, но проект не синхронизируется. Вот мой градиент сборки:

dependencies {
        implementation fileTree(dir: 'libs', include: ['*.jar'])

        // implement support libraries
        implementation 'com.android.support:appcompat-v7:27.0.2'
        implementation 'com.android.support:animated-vector-drawable:27.0.2'
        implementation 'com.android.support:design:27.0.2'
        implementation 'com.android.support.constraint:constraint-layout:1.1.3'
        implementation 'com.android.support:support-v4:27.0.2'

        // implement firebase libraries
        implementation 'com.google.firebase:firebase-auth:11.0.4'
        implementation 'com.google.firebase:firebase-database:11.0.4'
        implementation 'com.google.firebase:firebase-storage:11.0.4'
        implementation 'com.google.firebase:firebase-core:11.0.4'

        // implement firebase-ui
        implementation 'com.firebaseui:firebase-ui-database:2.3.0'

        // implement lifecycle
        implementation 'android.arch.lifecycle:extensions:1.1.0'

        // implement circle image view
        implementation 'de.hdodenhof:circleimageview:2.2.0'

        // implement image cropper
        implementation 'com.theartofdev.edmodo:android-image-cropper:2.7.0'

        // implement image compressor
        implementation 'id.zelory:compressor:2.1.0'

        // implement test
        testImplementation 'junit:junit:4.12'
    //    implementation 'io.reactivex.rxjava2:rxjava:2.1.5'
        implementation 'io.reactivex.rxjava2:rxjava:2.2.0'
    //    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    //    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'


    }



    apply plugin: 'com.google.gms.google-services'

    configurations.all{
        resolutionStrategy.eachDependency{DependencyResolveDetails details ->
            def requested = details.requested
            if(requested.group == 'com.android.support'){
                if (!requested.name.startsWith("multidex")){
                    details.useVersion('27.0.2')
                }
            }
        }
    }
5
Whiteq 23 Сен 2018 в 22:31

1 ответ

Лучший ответ

Эта библиотека доступна в github и репозитории maven

Добавить эти репозитории во все проекты в файле build.gradle

 mavenCentral()
   maven {
       url 'https://jitpack.io'
   }

Надеюсь, это поможет тебе

2
Milad Bahmanabadi 24 Сен 2018 в 06:08